#
# spec file for package tai-heritage-pro-fonts
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           tai-heritage-pro-fonts
Version:        2.600
Release:        1.3
Summary:        Tai Viet Font
License:        OFL-1.1
Group:          System/X11/Fonts
URL:            https://software.sil.org/taiheritage/
Source0:        https://software.sil.org/downloads/r/taiheritage/TaiHeritagePro-%{version}.zip
BuildRequires:  dos2unix
BuildRequires:  fontpackages-devel
BuildRequires:  unzip
BuildArch:      noarch
%reconfigure_fonts_prereq

%description
The Tai Heritage Pro font is a Unicode-encoded font designed to reflect the
traditional hand-written style of the Tai Viet script, which is used by the
Tai Dam, Tai Daeng and Tai Don people who live in northwestern Vietnam and
surrounding areas.

%prep
%setup -q -n TaiHeritagePro-%{version}

%build
dos2unix OFL*.txt FONTLOG.txt README.txt documentation/DOCUMENTATION.txt

%install
mkdir -p %{buildroot}%{_ttfontsdir}
install -m 0644 *.ttf %{buildroot}%{_ttfontsdir}/

%reconfigure_fonts_scriptlets

%files
%doc OFL*.txt FONTLOG.txt README.txt documentation
%{_ttfontsdir}

%changelog
* Wed Dec 27 2023 Dirk Müller <dmueller@suse.com>
- update to 2.600:
  * Fixed several bugs in the OpenType code. The fonts should now
    work in OpenType applications that use the Universal Shaping
    Engine on Windows 10.
  * Eliminated minor discrepancies between Graphite and OpenType in
    how combining marks are positioned in the Regular weight.
  * Added WOFF versions of the fonts to the distribution, for the
    benefit of web developers.
* Thu Oct 17 2013 pgajdos@suse.com
- initial version 2.500
